[0.1.0]
* Initial version

[0.2.0]
* Fix app title

[0.3.0]
* Fix first run command

[1.0.0]
* Initial stable version

[1.1.0]
* Use base image v3

[1.2.0]
* Update prometheus to 2.23.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.23.0)
* UI: Make the React UI default. #8142
* Remote write: The following metrics were removed/renamed in remote write. #6815
* Remote: Do not collect non-initialized timestamp metrics. #8060
* Remote write: Added a metric prometheus_remote_storage_max_samples_per_send for remote write. #8102
* TSDB: Make the snapshot directory name always the same length. #8138
* TSDB: Create a checkpoint only once at the end of all head compactions. #8067
* TSDB: Avoid Series API from hitting the chunks. #8050
* TSDB: Cache label name and last value when adding series during compactions making compactions faster. #8192

[1.3.0]
* Update Prometheus to 2.24.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.24.0)

[1.4.0]
* Update Prometheus to 2.25.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.25.0)
* Add optional name property to testgroup for better test failure output. #8440
* Add warnings into React Panel on the Graph page. #8427
* TSDB: Increase the number of buckets for the compaction duration metric. #8342
* Remote: Allow passing along custom remote_write HTTP headers. #8416
* Mixins: Scope grafana configuration. #8332

[1.4.1]
* Update Prometheus to 2.25.2
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.25.2)
* Fix the ingestion of scrapes when the wall clock changes, e.g. on suspend
* Enable basicAuth so it can work with apps like grafana

[1.5.0]
* Update Prometheus to 2.26.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.26.0)
* Remote: Add support for AWS SigV4 auth method for remote_write. #8509
* Scaleway Discovery: Add Scaleway Service Discovery. #8555
* PromQL: Allow negative offsets. Behind --enable-feature=promql-negative-offset flag. #8487
* experimental Exemplars: Add in-memory storage for exemplars. Behind --enable-feature=exemplar-storage flag. #6635
* UI: Add advanced auto-completion, syntax highlighting and linting to graph page query input. #8634

[1.6.0]
* Update Prometheus to 2.27.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.27.0)
* UI: Add a dark theme. #8604

[1.6.1]
* Update Prometheus to 2.27.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.27.1)

[1.7.0]
* Update Prometheus to 2.28.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.28.0)
* [CHANGE] UI: Make the new experimental PromQL editor the default. #8925
* [FEATURE] Linode SD: Add Linode service discovery. #8846
* [FEATURE] HTTP SD: Add generic HTTP-based service discovery. #8839
* [FEATURE] Kubernetes SD: Allow configuring API Server access via a kubeconfig file. #8811
* [FEATURE] UI: Add exemplar display support to the graphing interface. #8832 #8945 #8929
* [FEATURE] Consul SD: Add namespace support for Consul Enterprise. #8900
* [ENHANCEMENT] Promtool: Allow silencing output when importing / backfilling data. #8917
* [ENHANCEMENT] Consul SD: Support reading tokens from file. #8926
* [ENHANCEMENT] Rules: Add a new .ExternalURL alert field templating variable, containing the external URL of the Prometheus server. #8878
* [ENHANCEMENT] Scrape: Add experimental body_size_limit scrape configuration setting to limit the allowed response body size for target scrapes. #8833 #8886

[1.7.1]
* Update Prometheus to 2.28.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.28.1)
* [BUGFIX]: HTTP SD: Allow charset specification in Content-Type header. #8981
* [BUGFIX]: HTTP SD: Fix handling of disappeared target groups. #9019
* [BUGFIX]: Fix incorrect log-level handling after moving to go-kit/log. #9021

[1.8.0]
* Update Prometheus to 2.29.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.29.0)

[1.8.1]
* Update Prometheus to 2.29.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.29.1)

[1.8.2]
* Update Prometheus to 2.29.2
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.29.2)

[1.9.0]
* Update Prometheus to 2.30.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.30.0)

[1.9.1]
* Update Prometheus to 2.30.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.30.1)

[1.9.2]
* Update Prometheus to 2.30.2
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.30.2)

[1.9.3]
* Update Prometheus to 2.30.3
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.30.3)

[1.9.4]
* Set default retention_time to 15 days

[1.9.5]
* Update Prometheus to 2.31.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.31.0)
* [CHANGE] UI: Remove standard PromQL editor in favour of the codemirror-based editor. #9452
* [FEATURE] PromQL: Add trigonometric functions and atan2 binary operator. #9239 #9248 #9515
* [FEATURE] Remote: Add support for exemplar in the remote write receiver endpoint. #9319 #9414
* [FEATURE] SD: Add PuppetDB service discovery. #8883
* [FEATURE] SD: Add Uyuni service discovery. #8190
* [FEATURE] Web: Add support for security-related HTTP headers. #9546
* [ENHANCEMENT] Azure SD: Add proxy_url, follow_redirects, tls_config. #9267
* [ENHANCEMENT] Backfill: Add --max-block-duration in promtool create-blocks-from rules. #9511
* [ENHANCEMENT] Config: Print human-readable sizes with unit instead of raw numbers. #9361
* [ENHANCEMENT] HTTP: Re-enable HTTP/2. #9398
* [ENHANCEMENT] Kubernetes SD: Warn user if number of endpoints exceeds limit. #9467
* [ENHANCEMENT] OAuth2: Add TLS configuration to token requests. #9550
* [ENHANCEMENT] PromQL: Several optimizations. #9365 #9360 #9362 #9552
* [ENHANCEMENT] PromQL: Make aggregations deterministic in instant queries. #9459
* [ENHANCEMENT] Rules: Add the ability to limit number of alerts or series. #9260 #9541
* [ENHANCEMENT] SD: Experimental discovery manager to avoid restarts upon reload. Disabled by default, enable with flag --enable-feature=new-service-discovery-manager. #9349 #9537
* [ENHANCEMENT] UI: Debounce timerange setting changes. #9359
* [BUGFIX] Backfill: Apply rule labels after query labels. #9421
* [BUGFIX] Scrape: Resolve conflicts between multiple exported label prefixes. #9479 #9518
* [BUGFIX] Scrape: Restart scrape loops when __scrape_interval__ is changed. #9551
* [BUGFIX] TSDB: Fix memory leak in samples deletion. #9151
* [BUGFIX] UI: Use consistent margin-bottom for all alert kinds. #9318

[1.9.6]
* Update Prometheus to 2.31.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.31.1)
* Fix a panic when the experimental discovery manager receive targets during a reload

[1.9.7]
* Update Prometheus to 2.31.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.31.1)

[1.10.0]
* Update Prometheus to 2.32.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.32.0)

[1.10.1]
* Update Prometheus to 2.32.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.32.1)

[1.11.0]
* Update Prometheus to 2.33.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.33.0)

[1.11.1]
* Update Prometheus to 2.33.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.33.1)

[1.11.2]
* Update Prometheus to 2.33.2
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.33.2)

[1.11.3]
* Update Prometheus to 2.33.3
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.33.3)

[1.11.4]
* Update Prometheus to 2.33.4
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.33.4)

[1.12.0]
* Update Prometheus to 2.33.5
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.33.5)

[1.13.0]
* Update Prometheus to 2.34.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.34.0)
* TSDB: Disable the chunk write queue by default and allow configuration with the experimental flag --storage.tsdb.head-chunks-write-queue-size. #10425
* HTTP SD: Add a failure counter. #10372
* Azure SD: Set Prometheus User-Agent on requests. #10209
* Uyuni SD: Reduce the number of logins to Uyuni. #10072
* Scrape: Log when an invalid media type is encountered during a scrape. #10186
* Scrape: Accept application/openmetrics-text;version=1.0.0 in addition to version=0.0.1. #9431
* Remote-read: Add an option to not use external labels as selectors for remote read. #10254
* UI: Optimize the alerts page and add a search bar. #10142
* UI: Improve graph colors that were hard to see. #10179
* Config: Allow escaping of $ with $$ when using environment variables with external labels. #10129

[1.13.1]
* Update Prometheus to 2.35.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.35.0)

[1.14.0]
* Update Prometheus to 2.36.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.36.0)
* [FEATURE] Add lowercase and uppercase relabel action. #10641
* [FEATURE] SD: Add IONOS Cloud integration. #10514
* [FEATURE] SD: Add Vultr integration. #10714
* [FEATURE] SD: Add Linode SD failure count metric. #10673
* [FEATURE] Add prometheus_ready metric. #10682
* [ENHANCEMENT] Add stripDomain to template function. #10475
* [ENHANCEMENT] UI: Enable active search through dropped targets. #10668
* [ENHANCEMENT] promtool: support matchers when querying label values. #10727
* [ENHANCEMENT] Add agent mode identifier. #9638
* [BUGFIX] Changing TotalQueryableSamples from int to int64. #10549
* [BUGFIX] tsdb/agent: Ignore duplicate exemplars. #10595
* [BUGFIX] TSDB: Fix chunk overflow appending samples at a variable rate. #10607
* [BUGFIX] Stop rule manager before TSDB is stopped. #10680

[1.14.1]
* Update Prometheus to 2.36.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.36.1)
* [BUGFIX] promtool: Add --lint-fatal option #10840

[1.14.2]
* Update Prometheus to 2.36.2
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.36.2)
* [BUGFIX] Fix serving of static assets like fonts and favicon. #10888

[1.15.0]
* Update Prometheus to 2.37.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.37.0)
* Nomad SD: New service discovery for Nomad built-in service discovery. #10915
* Kubernetes SD: Allow attaching node labels for endpoint role. #10759
* PromQL: Optimise creation of signature with/without labels. #10667
* TSDB: Memory optimizations. #10873 #10874
* TSDB: Reduce sleep time when reading WAL. #10859 #10878
* OAuth2: Add appropriate timeouts and User-Agent header. #11020

[1.16.0]
* Update Prometheus to 2.38.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.38.0)
* Web: Add a /api/v1/format_query HTTP API endpoint that allows pretty-formatting PromQL expressions. #11036 #10544 #11005
* UI: Add support for formatting PromQL expressions in the UI. #11039
* DNS SD: Support MX records for discovering targets. #10099
* Templates: Add toTime() template function that allows converting sample timestamps to Go time.Time values. #10993
* PromQL: When a query panics, also log the query itself alongside the panic message. #10995

[1.17.0]
* Update Prometheus to 2.39.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.39.0)
* experimental TSDB: Add support for ingesting out-of-order samples. This is configured via out_of_order_time_window field in the config file; check config file docs for more info. #11075
* API: /-/healthy and /-/ready API calls now also respond to a HEAD request on top of existing GET support. #11160
* PuppetDB SD: Add `__meta_puppetdb_query` label. #11238
* AWS EC2 SD: Add `__meta_ec2_region label`. #11326
* AWS Lightsail SD: Add `__meta_lightsail_region` label. #11326
* Scrape: Optimise relabeling by re-using memory. #11147
* TSDB: Improve WAL replay timings. #10973 #11307 #11319
* TSDB: Optimise memory by not storing unnecessary data in the memory. #11280 #11288 #11296
* TSDB: Allow overlapping blocks by default. --storage.tsdb.allow-overlapping-blocks now has no effect. #11331
* UI: Click to copy label-value pair from query result to clipboard. #11229

[1.17.1]
* Update Prometheus to 2.39.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.39.1)
* [BUGFIX] Rules: Fix notifier relabel changing the labels on active alerts. #11427

[1.18.0]
* Update Prometheus to 2.40.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.40.0)

[1.18.1]
* Update Prometheus to 2.40.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.40.1)

[1.18.2]
* Update Prometheus to 2.40.2
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.40.2)

[1.18.3]
* Update Prometheus to 2.40.3
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.40.3)
* TSDB: Fix compaction after a deletion is called. #11623

[1.18.4]
* Update Prometheus to 2.40.4
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.40.4)
* Fix Basic Authentication Bypass (CVE-2022-46146)

[1.18.5]
* Update Prometheus to 2.40.5
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.40.5)
* [BUGFIX] TSDB: Fix queries involving native histograms due to improper reset of iterators. #11643

[1.18.6]
* Update Prometheus to 2.40.6
* Update Coudron base image to 4.0.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.40.6)

[1.18.7]
* Update Prometheus to 2.40.7
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.40.7)
* [BUGFIX] TSDB: Fix queries involving negative buckets of native histograms. #11699

[1.19.0]
* Update Prometheus to 2.41.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.41.0)

[1.20.0]
* Update Prometheus to 2.42.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.42.0)

[1.21.0]
* Update Prometheus to 2.43.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.43.0)

[1.21.1]
* Update Prometheus to 2.43.1
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.43.1)

[1.22.0]
* Update Prometheus to 2.44.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.44.0)
* [CHANGE] Remote-write: Raise default samples per send to 2,000. #12203
* [FEATURE] Remote-read: Handle native histograms. #12085, #12192
* [FEATURE] Promtool: Health and readiness check of prometheus server in CLI. #12096
* [FEATURE] PromQL: Add query_samples_total metric, the total number of samples loaded by all queries. #12251
* [ENHANCEMENT] Storage: Optimise buffer used to iterate through samples. #12326
* [ENHANCEMENT] Scrape: Reduce memory allocations on target labels. #12084
* [ENHANCEMENT] PromQL: Use faster heap method for topk() / bottomk(). #12190
* [ENHANCEMENT] Rules API: Allow filtering by rule name. #12270
* [ENHANCEMENT] Native Histograms: Various fixes and improvements. #11687, #12264, #12272
* [ENHANCEMENT] UI: Search of scraping pools is now case-insensitive. #12207

[1.23.0]
* Update Prometheus to 2.45.0
* [Full changelog](https://github.com/prometheus/prometheus/releases/tag/v2.45.0)
* [FEATURE] API: New limit parameter to limit the number of items returned by /api/v1/status/tsdb endpoint. #12336
* [FEATURE] Config: Add limits to global config. #12126
* [FEATURE] Consul SD: Added support for path_prefix. #12372
* [FEATURE] Native histograms: Add option to scrape both classic and native histograms. #12350
* [FEATURE] Native histograms: Added support for two more arithmetic operators avg_over_time and sum_over_time. #12262
* [FEATURE] Promtool: When providing the block id, only one block will be loaded and analyzed. #12031
* [FEATURE] Remote-write: New Azure ad configuration to support remote writing directly to Azure Monitor workspace. #11944
* [FEATURE] TSDB: Samples per chunk are now configurable with flag storage.tsdb.samples-per-chunk. By default set to its former value 120. #12055
* [ENHANCEMENT] Native histograms: bucket size can now be limited to avoid scrape fails. #12254
* [ENHANCEMENT] TSDB: Dropped series are now deleted from the WAL sooner. #12297
* [BUGFIX] Native histograms: ChunkSeries iterator now checks if a new sample can be appended to the open chunk. #12185
* [BUGFIX] Native histograms: Fix Histogram Appender Appendable() segfault. #12357
* [BUGFIX] Native histograms: Fix setting reset header to gauge histograms in seriesToChunkEncoder. #12329
* [BUGFIX] TSDB: Tombstone intervals are not modified after Get() call. #12245
* [BUGFIX] TSDB: Use path/filepath to set the WAL directory. #12349

[1.24.0]
* Move storage directory to `/app/data/storage`
* CLI options can now be set in `/app/data/env.sh`

